aboutsummaryrefslogtreecommitdiff
path: root/lib/keyringer/actions/check
diff options
context:
space:
mode:
Diffstat (limited to 'lib/keyringer/actions/check')
-rwxr-xr-xlib/keyringer/actions/check26
1 files changed, 26 insertions, 0 deletions
diff --git a/lib/keyringer/actions/check b/lib/keyringer/actions/check
new file mode 100755
index 0000000..669b994
--- /dev/null
+++ b/lib/keyringer/actions/check
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+# Check a keyring.
+#
+# See also some useful OpenPGP maintenance scripts:
+#
+# - git://lair.fifthhorseman.net/~mjgoins/cur
+# - https://gitorious.org/key-report
+# - https://github.com/ilf/gpg-maintenance.git
+#
+# This script can run from a crontab, client of server side to check
+# keyringer health status.
+
+# Load functions
+LIB="`dirname $0`/../functions"
+source "$LIB" || exit 1
+
+# TODO: Automatically fetch absent keys from all recipients.
+# TODO: Automatically pull a repository.
+# TODO: Check if keys in all recipients files are about to expire.
+# TODO: Time to expire can be configured via repository options.
+# TODO: Users can be alerted by mail if configured by user preferences.
+# TODO: Check canaries' timestamps, warning by mail if configured by user preferences.
+# TODO: Outgoing emails can be encrypted.
+echo "Not implemented :("
+exit 1